Skip to content
Start here

List PagerDuty services

client.alerting.destinations.pagerduty.get(PagerdutyGetParams { account_id } params, RequestOptionsoptions?): SinglePage<Pagerduty { id, name } >
GET/accounts/{account_id}/alerting/v3/destinations/pagerduty

Get a list of all configured PagerDuty services.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zero Trust: PII ReadNotifications WriteNotifications ReadAccount Settings WriteAccount Settings Read
ParametersExpand Collapse
params: PagerdutyGetParams { account_id }
account_id: string

The account id

maxLength32
ReturnsExpand Collapse
Pagerduty { id, name }
id?: string

UUID

maxLength32
name?: string

The name of the pagerduty service.

List PagerDuty services

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const pagerduty of client.alerting.destinations.pagerduty.get({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
})) {
  console.log(pagerduty.id);
}
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true,
  "result": [
    {
      "id": "f174e90afafe4643bbbc4a0ed4fc8415",
      "name": "My PagerDuty Service"
    }
  ]
}
Returns Examples
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true,
  "result": [
    {
      "id": "f174e90afafe4643bbbc4a0ed4fc8415",
      "name": "My PagerDuty Service"
    }
  ]
}